#include <stdio.h>
#include "../winuser.h"
int _CRtree(mmachine m)
{ m->pp+=7;return MMpush(m,NIL); }
int _ADDtreeChild(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _SETtreeBitmaps(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SETtreeItemBitmap(mmachine m)
{ m->pp+=4;return MMpush(m,NIL); }
int _GETtreeChild(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _GETtreeBrother(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SETtreeItemLabel(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _SETtreeItemState(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _GETtreeItemState(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _CBtreeExpand(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBtreeSelect(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBtreeDrag(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _DStree(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _DStreeItem(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _GETtreeSizePosition(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SIZEtree(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _GETtreePositionSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _POSITIONtree(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
int _CBtreeRClick(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBtreeUnclick(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBtreeDClick(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _ENtree(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SELtreeItem(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SELlistTabItem(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
#define NwtreePKG 24
char* wtreename[NwtreePKG]=
{"_CRtree","_ADDtreeChild","_SETtreeBitmaps","_SETtreeItemBitmap","_GETtreeChild","_GETtreeBrother","_SETtreeItemLabel","_SETtreeItemState","_GETtreeItemState","_CBtreeExpand","_CBtreeSelect","_CBtreeDrag","_DStree","_DStreeItem","_GETtreeSizePosition","_SIZEtree","_GETtreePositionSize","_POSITIONtree","_CBtreeRClick","_CBtreeUnclick","_CBtreeDClick","_ENtree","_SELtreeItem","_SELlistTabItem"};
int (*wtreefun[NwtreePKG])(mmachine m)=
{_CRtree,_ADDtreeChild,_SETtreeBitmaps,_SETtreeItemBitmap,_GETtreeChild,_GETtreeBrother,_SETtreeItemLabel,_SETtreeItemState,_GETtreeItemState,_CBtreeExpand,_CBtreeSelect,_CBtreeDrag,_DStree,_DStreeItem,_GETtreeSizePosition,_SIZEtree,_GETtreePositionSize,_POSITIONtree,_CBtreeRClick,_CBtreeUnclick,_CBtreeDClick,_ENtree,_SELtreeItem,_SELlistTabItem};
int wtreenarg[NwtreePKG]=
{7,4,2,4,2,2,3,3,2,3,3,3,1,2,1,5,1,5,3,3,3,2,2,2};
char* wtreetype[NwtreePKG]=
{"fun [Chn ObjWin I I I I I] ObjTree","fun [ObjTree ObjTreeItem I S] ObjTreeItem","fun [ObjTree ObjBitmapList] ObjTree","fun [ObjTree ObjTreeItem BitmapIndex BitmapIndex] ObjTree","fun [ObjTree ObjTreeItem] ObjTreeItem","fun [ObjTree ObjTreeItem] ObjTreeItem","fun [ObjTree ObjTreeItem S] ObjTree","fun [ObjTree ObjTreeItem I] ObjTree","fun [ObjTree ObjTreeItem] I","fun [ObjTree fun [ObjTree u0 ObjTreeItem I] u1 u0] ObjTree","fun [ObjTree fun [ObjTree u0 ObjTreeItem] u1 u0] ObjTree","fun [ObjTree fun [ObjTree u0 ObjTreeItem ObjTreeItem] u1 u0] ObjTree","fun [ObjTree] I","fun [ObjTree ObjTreeItem] ObjTree","fun [ObjTree] [I I I I]","fun [ObjTree I I I I] ObjTree","fun [ObjTree] [I I I I]","fun [ObjTree I I I I] ObjTree","fun [ObjTree fun [ObjTree u0 ObjTreeItem I I I] u1 u0] ObjTree","fun [ObjTree fun [ObjTree u0 I I I] u1 u0] ObjTree","fun [ObjTree fun [ObjTree u0 ObjTreeItem I I] u1 u0] ObjTree","fun [ObjTree I] ObjTree","fun [ObjTree ObjTreeItem] ObjTree","fun [ObjListTab I] ObjListTab"};
int SCOLloadwtree(mmachine m)
{
return PKhardpak(m,"wtree.pkg",NwtreePKG,wtreename,wtreefun,wtreenarg,wtreetype);
}
